wifi8 2.0.0.0

Data Fields
wifi8_t Struct Reference

WiFi 8 Click context object. More...

`#include <wifi8.h>`

## Data Fields
digital_out_t | en
digital_out_t | rst
digital_out_t | wkp
digital_in_t | int_pin
spi_master_t | spi
pin_name_t | chip_select
uint8_t | hif_bl_offset
wifi8_nm_state_t | device_state
uint8_t | ch_num
uint32_t | hs_flags
wifi8_socket_t | sockets [MAX_SOCKET]
uint8_t | root_sha1 [20]
uint16_t | session_id
uint8_t | socket_init
uint32_t | ping_id
wifi8_app_wifi_cb_t | app_wifi_cb
wifi8_app_socket_cb_t | app_socket_cb
wifi8_app_resolve_cb_t | app_resolve_cb
wifi8_ping_cb_t | ping_cb

## Detailed Description

WiFi 8 Click context object.

Context object definition of WiFi 8 Click driver.

## Field Documentation

## ◆ app_resolve_cb

wifi8_app_resolve_cb_t app_resolve_cb

## ◆ app_socket_cb

wifi8_app_socket_cb_t app_socket_cb

## ◆ app_wifi_cb

wifi8_app_wifi_cb_t app_wifi_cb

## ◆ ch_num

uint8_t ch_num

## ◆ chip_select

pin_name_t chip_select

Chip select pin descriptor (used for SPI driver).

## ◆ device_state

wifi8_nm_state_t device_state

## ◆ en

digital_out_t en

Description.

## ◆ hif_bl_offset

uint8_t hif_bl_offset

## ◆ hs_flags

uint32_t hs_flags

## ◆ int_pin

digital_in_t int_pin

Description.

## ◆ ping_cb

wifi8_ping_cb_t ping_cb

## ◆ ping_id

uint32_t ping_id

## ◆ root_sha1

uint8_t root_sha1[20]

## ◆ rst

digital_out_t rst

Description.

## ◆ session_id

uint16_t session_id

## ◆ socket_init

uint8_t socket_init

## ◆ sockets

wifi8_socket_t sockets[MAX_SOCKET]

## ◆ spi

spi_master_t spi

SPI driver object.

## ◆ wkp

digital_out_t wkp

Description.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8.h